# $Revision: 1.23 $, $Date: 2005/09/28 22:53:00 $
Summary:	Hugs - a Haskell interpreter
Summary(pl):	Hugs - interpreter Haskella
Name:		hugs98
Version:	Nov2003
Release:	3
Epoch:		2
License:	BSD-like
Group:		Development/Languages
Source0:	http://cvs.haskell.org/Hugs/downloads/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	86ed68ada4ff1d455213a851256437fc
Patch0:		%{name}-docbook.patch
URL:		http://www.haskell.org/hugs/
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	readline-devel >= 4.1
Provides:	hugs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hugs 98 is an interpreter for Haskell, a lazy functional programming
language.

%description -l pl
Hugs 98 jest interpreterem Haskella - leniwego, funkcyjnego jzyka
programowania.

%prep
%setup -q
%patch0 -p1

%build
cd src/unix
cp -f /usr/share/automake/config.* .
%configure \
	--target= \
	--with-readline \
	--with-pthreads \
	--with-preprocessor \
	--enable-internal-prims \
	--enable-ffi
cd ..
%{__make} \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

cd src
# hack to make it build with different final location
HUGSDIR=..
export HUGSDIR
cp HsFFI.h ../include
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
cd ..

rm -rf $RPM_BUILD_ROOT%{_libdir}/hugs/{docs,Credits,License,Readme}
mv $RPM_BUILD_ROOT%{_libdir}/hugs/demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*.html docs/{ffi,libraries}-notes.txt License Readme Credits
%attr(755,root,root) %{_bindir}/hugs
%attr(755,root,root) %{_bindir}/ffihugs
%attr(755,root,root) %{_bindir}/runhugs
%{_libdir}/hugs
%{_mandir}/man1/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hugs98.spec,v $
Revision 1.23  2005/09/28 22:53:00  saq
- rel 3 for libreadline.so.5

Revision 1.22  2004/08/18 00:17:14  havner
- rel 2

Revision 1.21  2004/02/18 12:37:57  qboosh
- needed. empty target? (worked by accident on all other archs)

Revision 1.20  2004/02/18 12:32:48  qboosh
- is --target needed?

Revision 1.19  2004/02/18 10:29:06  qboosh
- amd64 try

Revision 1.18  2004/02/17 16:07:35  baggins
- updated to Nov2003

Revision 1.17  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:48:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/01/31 23:30:36  filon
- updated to Nov2002
- more docs
- does not even use automake
- description fix
- STBR

Revision 1.14  2002/10/09 13:14:33  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/08/12 22:30:10  marcus
- use new %%doc
- rel.3.

Revision 1.12  2002/04/25 16:34:38  arturs
fixed a small typo

Revision 1.11  2002/03/27 11:35:31  roman
s/BSDish/BSD-like in License

Revision 1.10  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/09/30 21:13:01  qboosh
- BuildRequires: automake

Revision 1.7  2001/09/30 16:22:36  blues
- release 2
- configure2_13 used

Revision 1.6  2001/06/23 11:11:31  misiek
- updated to Feb2001 version
- added examples
- license is BSD like (not GPL)
- rebuild with new ncurses and readline

Revision 1.5  2001/04/30 16:05:19  kloczek
- added using %%{rpmcflags} macro.

Revision 1.4  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.2  2000/10/20 17:53:58  kloczek
- now spec is %%{debug} ready.

Revision 1.1  2000/10/20 17:45:09  baggins
- initial revision
